org.eclipse.wst.jsdt.launching

## Interface IRuntimeClasspathEntryResolver2

All Superinterfaces:
  IRuntimeClasspathEntryResolver

    public interface IRuntimeClasspathEntryResolver2
    extends IRuntimeClasspathEntryResolver

Optional enhancements to `IRuntimeClasspathEntryResolver`.

Clients may implement this interface.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isVMInstallReference(IIncludePathEntry entry)` Returns whether the given includepath entry references a VM install.

### Methods inherited from interface org.eclipse.wst.jsdt.launching.IRuntimeClasspathEntryResolver

`resolveRuntimeClasspathEntry, resolveVMInstall`

### Method Detail

#### isVMInstallReference

    boolean isVMInstallReference(IIncludePathEntry entry)

Returns whether the given includepath entry references a VM install.

Parameters:
  `entry` - includepath entry
Returns:
  whether the given includepath entry references a VM install